"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const printImport_1 = __importDefault(require("../../utils/printImport"));
const generateUseRedirectFileDefault = (params) => {
    const { routeName, patternNamedExports, destinationDir, importGenerateUrl } = params;
    const functionName = `useRedirect${routeName}`;
    const template = `${printImport_1.default({
        namedImports: [{ name: patternNamedExports.urlPartsInterfaceName }, { name: patternNamedExports.patternName }],
        from: `./${patternNamedExports.filename}`,
    })}
  ${printImport_1.default(importGenerateUrl)}
  
  const ${functionName} = ( urlParts: ${patternNamedExports.urlPartsInterfaceName} ): (() => void) => {
    const to = generateUrl(${patternNamedExports.patternName}, ${patternNamedExports.pathParamsInterfaceName ? 'urlParts.path' : '{}'}, urlParts.urlQuery);
    return () => !!window && !!window.location ? window.location.href = to : undefined;
  }
  export default ${functionName}`;
    const templateFile = {
        template,
        filename: functionName,
        extension: '.ts',
        destinationDir,
    };
    return templateFile;
};
exports.default = generateUseRedirectFileDefault;
//# sourceMappingURL=generateUseRedirectFileDefault.js.map