"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const generateUseParamsFileNextJS_1 = __importDefault(require("./generateUseParamsFileNextJS"));
describe('generateUseParamsFileNextJS', () => {
    it('should generate correctly', () => {
        const templateFile = generateUseParamsFileNextJS_1.default({
            pathParamsFilename: 'patternUser',
            pathParamsInterfaceName: 'PathParamsNextJSUser',
            destinationDir: 'path/to/routes',
            routeName: 'User',
            routePattern: '/users/:id/:subview(profile|pictures)/:optional?/:optionalEnum(enum1|enum2)?',
        });
        expect(templateFile.filename).toBe('useParamsUser');
        expect(templateFile.extension).toBe('.ts');
        expect(templateFile.destinationDir).toBe('path/to/routes');
        expect(templateFile.template).toContain(`import {PathParamsNextJSUser,} from './patternUser'
    import {useRouter,} from 'next/router'
    const useParamsUser = (): PathParamsNextJSUser => {
      const query = useRouter().query;
      return {id: query.id as string,subview: query.subview as string,optional: query.optional ? (query.optional as string) : undefined,optionalEnum: query.optionalEnum ? (query.optionalEnum as string) : undefined,};
    }
    export default useParamsUser;`);
    });
});
//# sourceMappingURL=generateUseParamsFileNextJS.test.js.map